<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html>
<html>
<head>
    <title>비밀번호 변경</title>
    <%@ include file="/WEB-INF/jsp/adm/include/topLinkTag.jsp" %>
</head>

<script>
    $(document).ready(function () {
        $('#btnSubmit').css("cursor", "pointer");
        // chkLoginId();

        $('#btnSubmit').on("click", function () {
            // fncSend();
            fncChangePwd();
        });
    });

    function fncKeyPresshandler(e) {
        if (event.keyCode == 13) {
            // fncSend();
            fncChangePwd();
        }
    }

    function fncSend() {
        var param = $('#changePwdForm').serialize();
        var resultMsg = "";
        $.ajax({
            type: "post",
            async: false,
            datatype: "text",
            url: "<c:url value='/adm/egov/user/EgovUserPasswordUpdt.do'/>",
            data: param,
            success: function (data) {
                resultMsg = data.resultMsg;
                if (data.resultMsgCode == "success.common.update") {
                    swal(resultMsg, {
                        icon: "success",
                        buttons: "확인"
                    });
                    var logId = '<c:out value="${loginVO.userId}"/>';
                    if (logId != null && logId != "") {
                        document.changePwdForm.action = "<c:url value='/adm/main/actionLogout.do'/>";
                        document.changePwdForm.submit();
                    } else {
                        document.changePwdForm.action = "<c:url value='/adm/main/actionMain.do'/>";
                        document.changePwdForm.submit();
                    }
                } else {
                    swal(resultMsg, {
                        icon: "warning",
                        buttons: "확인"
                    });
                }
            }
        });
    }

    function fncChangePwd() {
        var id = $('#userId').val();
        var pw0 = $('#oldPassword').val();
        var pw1 = $('#newPassword').val();
        var pw2 = $('#newPassword2').val();

        // $.utils.warning("로그인 정보가 올바르지 않습니다.");
        // $.utils.success('정상적으로 저장되었습니다.');
        if (id.length < 1) {
            $.utils.warning("아이디를 입력해주세요.");
            // alert("아이디를 입력해주세요");
            return;
        }

        if (pw0.length < 1) {
            $.utils.warning("비밀번호를 입력해주세요.");
            // alert("비밀번호를 입력해주세요");
            return;
        }

        if (pw1.length < 1) {
            $.utils.warning("변경할 비밀번호를 입력해주세요.");
            // alert("변경할 비밀번호를 입력해주세요");
            return;
        }

        if (pw0 == pw1) {
            $.utils.warning("기존비밀번호와 같습니다.");
            // alert("기존비밀번호와 같습니다.");
            return;
        }

        if (pw1 != pw2) {
            $.utils.warning("신규 비밀번호가 알치하지 않습니다.");
            // alert("신규 비밀번호가 알치하지 않습니다.");
            return;
        }

        var json = {}
        json.id = id;
        json.pw0 = pw0;
        json.pw1 = pw1;
        json.pw2 = pw2;

        $.ajax({
            type: "POST",
            contentType: "application/json; charset=utf-8",
            datatype: "JSON",
            async: false,
            url: "<c:url value='/adm/main/pwd/update'/>",
            data: JSON.stringify(json),
        })
            .complete(function (data) {
                if (data.status == 200) {
                    $.utils.success('비밀번호 변경 완료. 로그인페이지로 이동합니다.');
                    // alert("비밀번호 변경 완료. 로그인페이지로 이동합니다.");
                    document.location.href = "<c:url value='/adm/main/egovLoginUsr.do'/>" ;
                } else if (data.status == 400) {
                    $.utils.success('비밀번호 5회 실패로 계정이 잠겼습니다. 관리자에게 잠금해제 요청하세요.');
                    // alert("비밀번호 5회 실패로 계정이 잠겼습니다. 관리자에게 잠금해제 요청하세요.");
                } else if (data.status == 404) {
                    $.utils.success('로그인 정보가 올바르지 않습니다.');
                    // alert("로그인 정보가 올바르지 않습니다.");
                }
            })


    }

    function chkLoginId() {
        var logId = '<c:out value="${loginVO.userId}"/>';
        if (logId != null && logId != "") {
            $('#userId').attr("readonly", true);
        } else {
            $('#userId').attr("readonly", false);
        }
    }
</script>

<body>
<section class="login">
    <div class="login_box" style="height:500px">
        <form id="changePwdForm" name="changePwdForm" method="post">
            <dl>
                <dt>User ID</dt>
                <dd>
                    <input id="userId" name="userId" type="text" value="<c:out value="${loginVO.userId}"/>">
                    <input id="systemUserId" name="systemUserId" type="hidden" value="${loginVO.systemUserId}">
                </dd>
            </dl>

            <dl>
                <dt>Current Password</dt>
                <dd>
                    <input id="oldPassword" name="oldPassword" type="password" onkeypress="fncKeyPresshandler(event);">
                </dd>
            </dl>

            <dl>
                <dt>New Password</dt>
                <dd>
                    <input id="newPassword" name="newPassword" type="password" placeholder="New Password"
                           onkeypress="fncKeyPresshandler(event);">
                </dd>
            </dl>

            <dl>
                <dt>New Password Confirmation</dt>
                <dd>
                    <input id="newPassword2" name="newPassword2" type="password" placeholder="New Password Confirmation"
                           onkeypress="fncKeyPresshandler(event);">
                </dd>
            </dl>
            <div class="btn_wrap">
                <a class="btn basic red" id="btnSubmit">변 경</a>
            </div>
        </form>
    </div>
</section>
</body>
</html>